Subject: Re: bug#63627: Improve plstore.el and fix various issues of it

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Sep 2023 10:41:53 +0300

> Date: Thu, 31 Aug 2023 12:21:38 +0200
> Cc: [email-masked]
> From: Jens Schmidt <[email-masked]>
> 
> On 2023-08-31  06:46, Eli Zaretskii wrote:
> >> Date: Wed, 30 Aug 2023 21:28:10 +0200
> >> Cc: [email-masked]
> >> From: Jens Schmidt <[email-masked]>
> 
> >> Next set of patches, I hope they are still eligible for emacs-29.
> >>
> >> The first patch fixes more documentation and terminology issues in
> >> plstore.el, still without touching any code.  The second patch
> >> comprise ERT tests for plstore.el.  Since that requires interaction
> >> with GnuPG, these tests are rather platform-dependent.  Test setup
> >> should ensure that all tests are skipped if GnuPG is missing or not
> >> appropriate for the tests.
> > 
> > Documentation fixes are always welcome on the release branch.
> > 
> > As for tests: I don't really object, but what would be the purpose of
> > extending the test suite on the release branch? why not install that
> > on master instead?
> 
> I thought about adding tests for 1-2 pending bugs in plstore.el in near
> future.  But OTOH, these bugs are really not that significant, so
> probably it makes indeed more sense to add the tests to master only.

OK, so I've now installed the documentation changes on emacs-29.
Please prepare the other patch for master, and let's install it there.

> >> Please check.
> > 
> > What would you like me to check?
> 
> Nothing in particular.  Like: "Please check whatever you must check
> before committing such changes."
> 
> Actually, it *would* be interesting to know what you check in such a
> situation, if it could be easily described.

I look at the commit log message, make sure the relevant tests still
pass, and do anything else my eyes suggest while looking at the patch.

Thanks.